package com.jiayue.ssi.service;

import com.jiayue.ssi.entity.SysUser;
import java.util.List;

/**
* 用户管理接口
* @author xsl
* @date 2023/2/16
*/
public interface SysUserService {
    /**
    * 获取所有用户
    * @return  List<SysUser>
    */
    List<SysUser> queryAllUsers();
    /**
     * 保存用户
     * @param sysUser
     * @return boolean
     */
    boolean saveUser(SysUser sysUser);
    /**
     * 更新用户
     * @param sysUser
     * @return boolean
     */
    boolean updateUser(SysUser sysUser);
    /**
     * 删除用户
     * @param id
     * @return
     */
    boolean deleteUser(String id);
    /**
     * 根据账号查找
     * @param username
     * @return SysUser
     */
    SysUser queryUserName(String username);
}
